---
title: HTMLSelectElement.type
slug: Web/API/HTMLSelectElement/type
tags:
  - API
  - HTML DOM
  - HTMLSelectElement
  - Property
  - Read-only
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p><span class="seoSummary">The <code><strong>HTMLSelectElement.type</strong></code> read-only property returns the form control's <code>type</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>str</em> = <em>selectElt</em>.type;</pre>

<p>The possible values are:</p>

<ul>
 <li><code>"select-multiple"</code> if multiple values can be selected.</li>
 <li><code>"select-one"</code> if only one value can be selected.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">switch (select.type) {
  case 'select-multiple':
    // Multiple values may be selected
    break;
  case 'select-one':
    // Only one value may be selected
    break;
  default:
    // Non-standard value (or this isn't a SELECT element)
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-select-type', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}, the latest snapshot.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#dom-select-type', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Is a snapshot of {{SpecName("HTML WHATWG")}}. No change from {{SpecName("DOM2 HTML")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-58783172', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-58783172', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("select")}} HTML element, implementing this interface.</li>
</ul>
